Gtk_ProgressBar(3)

NAME - Gtk_ProgressBar

HEADER REQUIRED
#include <gtk--/progressbar.h&gt;>

BASE CLASSES
Gtk_Progress(3)

PROPERTIES

bar_style
    Type: GtkProgressBarStyle

orientation
    Type: GtkProgressBarOrientation

blocks
    Type: guint

in_block
    Type: gint

activity_pos
    Type: gint

activity_step
    Type: guint

activity_blocks
    Type: guint

activity_dir
    Type: guint:1

     .IP

PUBLIC MEMBER INDEX
    Gtk_ProgressBar(const Gtk_Adjustment &adjustment);
    void  set_bar_style(GtkProgressBarStyle style);
    void  set_discrete_blocks(guint blocks);
    void  set_activity_step(guint step);
    void  set_activity_blocks(guint blocks);
    void  set_orientation(GtkProgressBarOrientation orientation);
    Gtk_ProgressBar();
    Gtk_ProgressBar(GtkProgressBar *castitem);
    GtkProgressBar*  gtkobj();
    const GtkProgressBar*  gtkobj() const;
    static bool  isGtkProgressBar(Gtk_Object *checkcast);

PROTECTED MEMBER INDEX
    friend  CppClassType;
    typedef GtkProgressBar  BaseObjectType;
    typedef GtkProgressBarClass  BaseClassType;
    virtual void * get_parent_class();

PRIVATE MEMBER INDEX
    static CppClassType  progress_bar_class;
    GtkType  get_type();

PUBLIC MEMBER DESCRIPTIONS

PROTECTED MEMBER DESCRIPTIONS

PRIVATE MEMBER DESCRIPTIONS